package org.openxma.dsl.reference.dtoassembler.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import org.openxma.dsl.reference.dtoassembler.dto.ChildView;

public abstract class ParentViewGen implements Serializable {
	private static final long serialVersionUID = -655080457;
	protected List<ChildView> children;
	protected String oid;
	protected Date version;
	protected String firstName;
	protected String lastName;
	
	public List<ChildView> getChildren() {
        return this.children;
    }
	
	public void setChildren(List<ChildView> children) {
        this.children=children;
    }
    
    public void addChildren(ChildView children) {
		if (children == null) {
			throw new IllegalArgumentException("parameter 'children' must not be null");
		}
		if (getChildren() == null) {
			this.children = new ArrayList<ChildView>();
		}
		this.children.add(children);
	}
	
	public String getOid() {
        return this.oid;
    }
	
	public void setOid(String oid) {
        this.oid=oid;
    }
	
	public Date getVersion() {
        return this.version;
    }
	
	public void setVersion(Date version) {
        this.version=version;
    }
	
	public String getFirstName() {
        return this.firstName;
    }
	
	public void setFirstName(String firstName) {
        this.firstName=firstName;
    }
	
	public String getLastName() {
        return this.lastName;
    }
	
	public void setLastName(String lastName) {
        this.lastName=lastName;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("ParentView [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("version=").append(getVersion()).append(",");
        toStringBuilder.append("firstName=").append(getFirstName()).append(",");
        toStringBuilder.append("lastName=").append(getLastName());
        return toStringBuilder.append("]").toString();
    }
}
