package org.openxma.dsl.reference.validation;

import org.springframework.validation.Errors;
import org.openxma.dsl.platform.validation.Validators;
import org.openxma.dsl.reference.model.SpTest;

@SuppressWarnings("boxing")
public abstract class SpTestGenValidator extends Validators {
        
    @SuppressWarnings("unchecked")
    public boolean supports(Class clazz) {
        return SpTest.class.isAssignableFrom(clazz);
    }
    
    public Errors validate(SpTest spTest) {
        Errors errors = createErrors(spTest);      
        validate(spTest,errors);
        return errors;
    }

    public void validate(Object object, Errors errors) {
        SpTest spTest = (SpTest) object;
    }
    
}
