package org.openxma.dsl.reference.xma.customeredit.client;

import org.eclipse.swt.widgets.Composite;

import at.spardat.xma.session.XMASessionClient;

/**
 * This class implements the client part of CustomerEdit.
 * @author clay
 *
 */
public class CustomerEdit extends CustomerEditGen {

    /**
     * Initializes the CustomerEdit. This method is called
     * by the XMA-Runtime.
     *
     * @param session the XMASession, this CustomerEdit belongs to.
     */
    public CustomerEdit(XMASessionClient session) {
        super (session);
        setMainPage(new CustomerSearchForm(this));
    }

    /**
     * Invokes the CustomerEdit. This method reads the
     * key-value-pairs of the input, shows the windows
     * of the CustomerEdit and returns the output as
     * key-value-pairs. This method is called
     * by the XMA-Runtime.
     *
     * @param parentComposite a composite of the calling page. In most
     *     cases it will be a shell. It my be null.
     */
    public void invoke(Composite parentComposite) {
        //TODO implement invoke here! Change its content to what you need.
        super.invoke(parentComposite);
    }

}
