namespace org.openxma.dsl.reference.^xma.tablewithmenucomponent

import org.openxma.dsl.reference.*

component xma::TableWithMenuComponent {

	page MainPage "TableComp" width=640 height=480 resizeable = true {

		data Customer[] customer
		dropdownmenu { menuitem menuFile "&File" }

		content {
			vpanel paramPanel top=0 bottom=100% cellheights=auto,stretch,auto,auto {
				table paramTable key=customer.oid {
					customer.firstName
				}
			}
		}
	}
}
